#include <bits/stdc++.h>
#define endl '\n'
#define fi first
#define se second
#define pb push_back
#define yes "YES"
#define no "NO "

using namespace std;

using ll = long long;
const ll inf = 1e18;
using ld = long double;

void solve()
{
    ll n,i,p,tp,res=inf,sled,prosla;
    cin >> n;
    vector<pair<ll,ll>>kord(n);
    for(auto &x:kord)
    {
        cin >> x.fi >> x.se;
    }
    p=0;
    for(i=0;i<n;i++)
    {
        p+=(kord[i].fi)*(kord[(i+1)%n].se);
        p-=(kord[(i+1)%n].fi)*(kord[i].se);
    }

    for(i=0;i<n;i++)
    {
        prosla=(i-1);
        if(prosla<0)
        {
            prosla=n-1;
        }
        sled=(i+1)%n;
        tp=p;
        tp-=(kord[i].fi)*(kord[sled].se);
        tp+=(kord[sled].fi)*(kord[i].se);
        tp-=(kord[prosla].fi)*(kord[i].se);
        tp+=(kord[i].fi)*(kord[prosla].se);

        tp+=(kord[prosla].fi)*(kord[sled].se);
        tp-=(kord[sled].fi)*(kord[prosla].se);
        if(tp<0)
        {
            tp*=-1;
        }
        res=min(res,tp/2);


    }
    cout << res << endl;
}

/*
6
4 18
6 18
18 10
16 6
8 4
2 4
*/



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t = 1;
    // cin >> t;
    while (t--)
    {
        solve();
    }
}